org.apache.sis.referencing.factory

## Class FactoryDataException

- Object
- - Throwable
  - - Exception
    - - FactoryException
      - - FactoryDataException

- All Implemented Interfaces:
    Serializable

      public class FactoryDataException
      extends FactoryException

  Thrown when a factory contains invalid data.
  Example: an EPSG database record containing a null value in a column where nulls should not have been allowed.
  Since:
    0.7
  See Also:
    Serialized Form

  Defined in the `sis-referencing` module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoryDataException()` Construct an exception with no detail message.
    `FactoryDataException(String message)` Construct an exception with the specified detail message.
    `FactoryDataException(String message, Throwable cause)` Construct an exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryDataException

          public FactoryDataException()

      Construct an exception with no detail message.

    - #### FactoryDataException

          public FactoryDataException(String message)

      Construct an exception with the specified detail message.
      Parameters:
        `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.

    - #### FactoryDataException

          public FactoryDataException(String message,
                                      Throwable cause)

      Construct an exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message, saved for later retrieval by the `Throwable​.getMessage()` method.
        `cause` - the cause for this exception, saved for later retrieval by the `Throwable​.getCause()` method.

Copyright © 2010–2017 The Apache Software Foundation. All rights reserved.